# IGESData_IGESEntity.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_IGESData_IGESEntity.hxx>`
`#include <Standard_Integer.hxx>`
`#include <IGESData_DefSwitch.hxx>`
`#include <Standard_Real.hxx>`
`#include <Standard_Character.hxx>`
`#include <Handle_TCollection_HAsciiString.hxx>`
`#include <Interface_EntityList.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <IGESData_DefType.hxx>`
`#include <Handle_IGESData_LineFontEntity.hxx>`
`#include <IGESData_DefList.hxx>`
`#include <Handle_IGESData_LevelListEntity.hxx>`
`#include <Handle_IGESData_ViewKindEntity.hxx>`
`#include <Handle_IGESData_TransfEntity.hxx>`
`#include <Handle_IGESData_LabelDisplayEntity.hxx>`
`#include <Handle_IGESData_ColorEntity.hxx>`
`#include <Standard_CString.hxx>`
`#include <Handle_Standard_Type.hxx>`